For Developers

Delete Publishable Key

DELETE https://ed.link/api/v2/teams/:team_id/applications/:application_id/publishable-keys/:publishable_key_id

Permanently removes a publishable key.

Permissions

Requires either the publishable_keys.delete or publishable_keys.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:application_idUUIDYesThe ID of the application.
:publishable_key_idUUIDYesThe ID of the publishable key to delete.

Sample Request

await axios.delete(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/publishable-keys/${publishable_key_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$request": {
        "id": "94fd69b1-50e4-4cb6-8a71-6c5f7823f66c",
        "status": 200
    }
}